name: USB_MICRO-B_C10418
description: USB, 2.0, micro-B, receptacle, SMT
datasheet: https://datasheet.lcsc.com/lcsc/2103051832_Jing-Extension-of-the-Electronic-Co--920-E52A2021S10100_C10418.pdf
distributors: LCSC C10418

pinout:
  USB:
    VBUS: 1
    D-: 2
    D+: 3
    ID: 4
    GND: 5
  SHELL:
    MOUNTING_TAB: 6, 7, 8, 9

properties:
  power: VBUS
  ground: GND
  bidir: D-, D+
  in: ID
  passive: MOUNTING_TAB

schematic:
  symbol: connector
  right: USB
  bottom: MOUNTING_TAB

housing:
  pattern: custom
  bodyWidth: 8.0
  bodyLength: 5.06
  height: 3.0

  # USB pins
  padWidth: 0.4
  padHeight: 1.25
  pitch: 0.65
  rowCount: 1
  columnCount: 5
  rowDX: 0
  rowDY: -1.845 # 5.06/2 - 5.0 + 1.25/2

  # side mounting tabs
  slotWidth1: 0.50
  slotHeight1: 1.30
  padWidth1: 1.10
  padHeight1: 1.90
  padPosition1: -3.6, 0.78, 3.6, 0.78 # 5.06/2 - 1.75

  # rear mounting tabs
  holeDiameter2: 0.7
  padDiameter2:  1.3
  padPosition2: -2.425, -1.87 , 2.425, -1.87 # 5.06/2 - 4.4
